import {html} from 'htm/preact';
import {Component} from 'preact';

import {Settings} from '../../settings/settings.js';
import {Link} from './link.js';

type Props = {
  settings: Settings;
};

export class PageFooter extends Component<Props> {
  render() {
    const {settings} = this.props;
    const version = settings.manifest.version;

    const donateLink = html`
      <${Link} text="Donate" url="https://github.com/sponsors/Bauke" />
    `;

    const versionLink = html`
      <${Link}
        text="v${version}"
        url="https://github.com/Holllo/queue/releases/tag/${version}"
      />
    `;

    return html`
      <footer class="page-footer">
        <p>
          ${donateLink} 💖 ${versionLink} © Holllo — Free and open-source,
          forever.
        </p>
      </footer>
    `;
  }
}
